Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x500
Class X500Name

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x500.X500Name

All Implemented Interfaces:
  ASN1Choice, ASN1Encodable, Encodable

public class X500Name
extends ASN1Object
implements ASN1Choice

The X.500 Name object. Name ::= CHOICE { RDNSequence } RDNSequence ::= SEQUENCE OF RelativeDistinguishedName RelativeDistinguishedName ::= SET SIZE (1..MAX) OF AttributeTypeAndValue AttributeTypeAndValue ::= SEQUENCE { type OBJECT IDENTIFIER, value ANY }

Constructor Summary
`X500Name(RDN[] rDNs)`
`X500Name(java.lang.String dirName)`
`X500Name(X500NameStyle style, RDN[] rDNs)`
`X500Name(X500NameStyle style, java.lang.String dirName)`
`X500Name(X500NameStyle style, X500Name name)` Deprecated. use the getInstance() method that takes a style.

Method Summary
`boolean` | `equals(java.lang.Object obj)` test for equality - note: case is ignored.
`ASN1ObjectIdentifier[]` | `getAttributeTypes()` return an array of OIDs contained in the attribute type of each RDN in structure order.
`static X500NameStyle` | `getDefaultStyle()` Return the current default style.
`static X500Name` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return a X500Name based on the passed in tagged object.
`static X500Name` | `getInstance(java.lang.Object obj)`
`static X500Name` | `getInstance(X500NameStyle style, java.lang.Object obj)`
`RDN[]` | `getRDNs()` return an array of RDNs in structure order.
`RDN[]` | `getRDNs(ASN1ObjectIdentifier attributeType)` return an array of RDNs containing the attribute type given by OID in structure order.
`static X500Name` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`int` | `hashCode()`
`static void` | `setDefaultStyle(X500NameStyle style)` Set the default style for X500Name construction.
`int` | `size()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X500Name

    public X500Name(X500NameStyle style,
                    X500Name name)

  Deprecated. use the getInstance() method that takes a style.

### X500Name

    public X500Name(RDN[] rDNs)

### X500Name

    public X500Name(X500NameStyle style,
                    RDN[] rDNs)

### X500Name

    public X500Name(java.lang.String dirName)

### X500Name

    public X500Name(X500NameStyle style,
                    java.lang.String dirName)

Method Detail

### getInstance

    public static X500Name getInstance(ASN1TaggedObject taggedObject,
                                       boolean declaredExplicit)

  Return a X500Name based on the passed in tagged object.

  Returns:
    the X500Name

### getTagged

    public static X500Name getTagged(ASN1TaggedObject taggedObject,
                                     boolean declaredExplicit)

### getInstance

    public static X500Name getInstance(java.lang.Object obj)

### getInstance

    public static X500Name getInstance(X500NameStyle style,
                                       java.lang.Object obj)

### getRDNs

    public RDN[] getRDNs()

  return an array of RDNs in structure order.

  Returns:
    an array of RDN objects.

### getAttributeTypes

    public ASN1ObjectIdentifier[] getAttributeTypes()

  return an array of OIDs contained in the attribute type of each RDN in structure order.

  Returns:
    an array, possibly zero length, of ASN1ObjectIdentifiers objects.

### getRDNs

    public RDN[] getRDNs(ASN1ObjectIdentifier attributeType)

  return an array of RDNs containing the attribute type given by OID in structure order.

  Parameters:
    `attributeType` - the type OID we are looking for.
  Returns:
    an array, possibly zero length, of RDN objects.

### size

    public int size()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ASN1Object`

### equals

    public boolean equals(java.lang.Object obj)

  test for equality - note: case is ignored.

  Overrides:
    `equals` in class `ASN1Object`

### toString

    public java.lang.String toString()

### setDefaultStyle

    public static void setDefaultStyle(X500NameStyle style)

  Set the default style for X500Name construction.

  Parameters:
    `style` - an X500NameStyle

### getDefaultStyle

    public static X500NameStyle getDefaultStyle()

  Return the current default style.

  Returns:
    default style for X500Name construction.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD